SET NOCOUNT ON;

INSERT INTO msn.HistoricalPricesMonthly
    ( [LoadDate]
    , [LoadTime]
    , [Symbol]
    , [Date]
    , [Open]
    , [High]
    , [Low]
    , [Close]
    , [Volume]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[Symbol]
    , t.[Date]
    , t.[Open]
    , t.[High]
    , t.[Low]
    , t.[Close]
    , t.[Volume]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [Symbol] AS [Symbol]
        , [Date] AS [Date]
        , [Open] AS [Open]
        , [High] AS [High]
        , [Low] AS [Low]
        , [Close] AS [Close]
        , [Volume] AS [Volume]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\MsnMoneyHistoricalPricesMonthly.csv',
            FORMATFILE = 'C:\MarketData\bin\MsnMoneyHistoricalPricesMonthly.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN msn.HistoricalPricesMonthly d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.[Date] = t.[Date] AND d.LoadDate = t.LoadDate AND d.LoadTime = t.LoadTime
WHERE
    d.Symbol IS NULL
